_lscp_server_t Struct Reference

`#include <server.h>`

## Data Fields

lscp_server_mode_t | mode
lscp_connect_list_t | connects
lscp_server_proc_t | pfnCallback
void * | pvData
lscp_socket_agent_t | agent

## Detailed Description

Server descriptor struct.

## Field Documentation

lscp_socket_agent_t _lscp_server_t::agent

Referenced by lscp_server_create_ex(), lscp_server_destroy(), and lscp_server_join().

lscp_connect_list_t _lscp_server_t::connects

Referenced by lscp_server_broadcast(), lscp_server_create_ex(), lscp_server_destroy(), and main().

lscp_server_mode_t _lscp_server_t::mode

Referenced by lscp_server_create_ex().

lscp_server_proc_t _lscp_server_t::pfnCallback

Referenced by lscp_server_create_ex().

void* _lscp_server_t::pvData

Referenced by lscp_server_create_ex().

The documentation for this struct was generated from the following file:

- server.h